Package com.saxonica.ee.bytecode.util

## Class CannotCompileException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.saxonica.ee.bytecode.util.CannotCompileException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CannotCompileException
      extends java.lang.Exception

  Exception indicating that constructs were encountered in the expression tree that cannot be compiled to bytecode
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CannotCompileException()` |
    `CannotCompileException​(java.lang.String reason, boolean recoverable)` |
    `CannotCompileException​(Expression expr)` |
    `CannotCompileException​(Expression expr, java.lang.String reason)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Expression` | `getExpression()` |
    `java.lang.String` | `getMessage()` |
    `boolean` | `isRecoverable()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CannotCompileException

          public CannotCompileException()

    - #### CannotCompileException

          public CannotCompileException​(Expression expr)

    - #### CannotCompileException

          public CannotCompileException​(java.lang.String reason,
                                        boolean recoverable)

    - #### CannotCompileException

          public CannotCompileException​(Expression expr,
                                        java.lang.String reason)

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### getExpression

          public Expression getExpression()

    - #### isRecoverable

          public boolean isRecoverable()